## xb-silo-export xb-silo-export |

## Functions

gchar * | xb_silo_export ()
gboolean | xb_silo_export_file ()

## Description

## Functions

### xb_silo_export ()

    gchar *
    xb_silo_export (XbSilo *self,
                    XbNodeExportFlags flags,
                    GError **error);

Exports the silo back to XML.

#### Parameters

self | a XbSilo |
flags | some XbNodeExportFlags, e.g. XB_NODE_EXPORT_FLAG_NONE |
error | the GError, or `NULL` |

#### Returns

XML data, or `NULL` for an error

Since: 0.1.0

### xb_silo_export_file ()

    gboolean
    xb_silo_export_file (XbSilo *self,
                         GFile *file,
                         XbNodeExportFlags flags,
                         GCancellable *cancellable,
                         GError **error);

Exports the silo back to an XML file.

#### Parameters

self | a XbSilo |
file | a GFile |
flags | some XbNodeExportFlags, e.g. XB_NODE_EXPORT_FLAG_NONE |
cancellable | a GCancellable, or `NULL` |
error | the GError, or `NULL` |

#### Returns

`TRUE` on success

Since: 0.1.2